Nuc_translator(3)

NAME
package Nuc_translator.pm

SYNOPSIS
Nuc_translator::use_specified_genetic_code ("universal");

my $nuc_sequence = "atgaaagggccctga";

my $translation_frame = 1;

my $protein = &translate_sequence($nuc_sequence, $translation_frame);

DESCRIPTION
Methods are provided to translate nucleotide sequences into protein sequences using a specified genetic code.

Available genetic codes include universal, Euplotes, Tetrahymena, Candida, Acetabularia

For info on these codes, visit:

http://golgi.harvard.edu/biolinks/gencode.html

Methods exported by this package include:

translate_sequence()

get_protein()

reverse_complement()

To change the translation code, the following fully qualified method must be used:

Nuc_translator::use_specified_genetic_code()

Methods

translate_sequence()
    Description: translates a nucleotide sequence given a specific frame 1-6.

    Parameters: $nuc_sequence, $frame

    Returns: $protein_sequence

get_protein()
    Description: translates nucleotide sequence into a protein sequence. All 3 forward translation frames are tried and the first reading frame found to translate without stop codons is returned. If all 3 frames provide stop codons, the protein with the least number of stops is returned.

    Parameters: $nucleotide_sequence

    Returns: $protein_sequence

reverse_complement()
    Description: reverse complements a nucleotide sequence

    Parameters: $nucleotide_sequence

    Returns: $nucleotide_sequence_rev_comped